/*
 * AssemblySourceIdAttribute.cs --
 *
 * Copyright (c) 2007-2012 by Joe Mistachkin.  All rights reserved.
 *
 * See the file "license.terms" for information on usage and redistribution of
 * this file, and for a DISCLAIMER OF ALL WARRANTIES.
 *
 * RCS: @(#) $Id: $
 */

using System;
using System.Runtime.InteropServices;

namespace Eagle._Attributes
{
    [AttributeUsage(AttributeTargets.Assembly, Inherited = false)]
    [Guid("3a791a88-554a-4364-a557-95d064c96045")]
    public sealed class AssemblySourceIdAttribute : Attribute
    {
        public AssemblySourceIdAttribute(
            string value
            )
        {
            sourceId = value;
        }

        ///////////////////////////////////////////////////////////////////////

        private string sourceId;
        public string SourceId
        {
            get { return sourceId; }
        }
    }
}
