/*
 * AssemblyTagAttribute.cs --
 *
 * Copyright (c) 2007-2012 by Joe Mistachkin.  All rights reserved.
 *
 * See the file "license.terms" for information on usage and redistribution of
 * this file, and for a DISCLAIMER OF ALL WARRANTIES.
 *
 * RCS: @(#) $Id: $
 */

using System;
using System.Runtime.InteropServices;

namespace Eagle._Attributes
{
    [AttributeUsage(AttributeTargets.Assembly, Inherited = false)]
    [Guid("4908461c-71ba-49d8-b017-2534d3d17993")]
    public sealed class AssemblyTagAttribute : Attribute
    {
        public AssemblyTagAttribute(string value)
        {
            tag = value;
        }

        ///////////////////////////////////////////////////////////////////////

        private string tag;
        public string Tag
        {
            get { return tag; }
        }
    }
}
